Foros del Web » Creando para Internet » Sistemas de gestión de contenidos »

Me recomiendan actualizar prestashop??

Estas en el tema de Me recomiendan actualizar prestashop?? en el foro de Sistemas de gestión de contenidos en Foros del Web. Hola a [email protected], Tengo mi tienda online creada en prestashop 1.3.6 y llevo mucho tiempo con la intención de actualizarla pero por lo que he ...
  #1 (permalink)  
Antiguo 29/01/2013, 05:01
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Me recomiendan actualizar prestashop??

Hola a [email protected],

Tengo mi tienda online creada en prestashop 1.3.6 y llevo mucho tiempo con la intención de actualizarla pero por lo que he leído es una tarea bastante pesada y el problema es que no dispongo de mucho tiempo para ello, la pregunta es si me merece la pena actualizarla a la 1.5?? hay grandes cambios?? notaré grandes mejoras en mi tienda online??

desde ya muchas gracias!!
__________________
Tienda online de moda low cost para mujer
  #2 (permalink)  
Antiguo 29/01/2013, 11:03
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

hay algún profesional por aquí que se dedique a hacer estas cosas? me gustaría saber que me puede costar hacer dicha actualización.
__________________
Tienda online de moda low cost para mujer
  #3 (permalink)  
Antiguo 30/01/2013, 14:39
Avatar de Cylon  
Fecha de Ingreso: febrero-2012
Mensajes: 44
Antigüedad: 7 años, 6 meses
Puntos: 12
Respuesta: Me recomiendan actualizar prestashop??

Hola,

Yo he actualizado algunas tiendas prestashop, de la versión 1.3.x a la ultima, la 1.5.x. Tambien he migrado de oscommerce a prestashop (otra pesadilla).

La verdad es que es un proceso bastante problemático, y digamos que no solo es pulsar "actualizar" y olvidarte, ya que hay bastantes cosas que hay que retocar manualmente. De la 1.3.x a la 1.4.9 se podría actualizar con poco sufrimiento, pero después hay que pegar un cambio importante para pasar a la 1.5.x

Lo primero, la plantilla. A partir de la versión 1.4.9 creo, el sistema de plantillas es muy diferente (incluso es posible que cambie de la 1.3.x a la 1.4.9). Luego deberías adquirir una nueva plantilla para la 1.5.3, o usar la que trae por defecto., o hacer una actualización en un servidor de prueba y ver que pasa con tu plantilla.

¿Que si merece la pena y que mejoras tiene? Bueno, el backend esta totalmente rediseñado, y a mi me parece mas amigable y fácil de usar. Parece ser que el sistema de plantillas esta rediseñado también, y las que hacen ahora para la v 1.5 tienen mejor respuesta (mas rapido y fluido) y se adecuan mas a los tiempos modernos que las de la versión 1.3.6.

Por ejemplo, una instalación limpia de prestashop 1.5, trae ya una plantilla para móviles y tables, que teniendo en cuenta como esta creciendo el trafico en esos dispositivos, hay que tenerlo en cuenta.

EN mi opinión, siempre merece la pena actualizar un cms a las versiones mas recientes, principalmente para evitar problemas de seguridad y hakeos, beneficiarse de posibles nuevas funcionalidades, y sobre todo, no dejar envejecer demasiado un sitio, y que cuando X años después nos despertamos, actualizarlo sera una tarea de chinos.

¿Que cuanto se cobraría por el trabajo? Difícil decirlo sin saber mas detalles. Habría que ver el estado de tu tienda de verdad, hacer pruebas a ver si algo casca durante las actualizaciones, ver si tienes módulos personalizados o usas módulos que no funcionaran en las nuevas versiones. En resumen, hay que verlo.

Un saludo

Cylon
__________________
Hell-desk.com: mi blog sobre informática y programación.
Desarrollo web y comercio electrónico.
  #4 (permalink)  
Antiguo 30/01/2013, 15:54
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Gracias por tu respuesta Cylon, voy a ponerme manos a la obra a ver que consigo, he encontrado unos video-tutoriales de Javier Valero que tienen muy buena pinta, primero hace la instalación en local, para hacer pruebas y dejar todo a punto, y luego lo pasa a su hosting...A ver lo que consigo, si no pos tendré que buscar ayuda profesional...

Por si alguien se encuentra en mi situación dejo el enlace de los videos, ya digo, en principio está todo muy bien explicado, luego en la practica ya veremos...

http://javier-valero.es/2012/02/como-actualizar-prestashop/

Saludos!!!
__________________
Tienda online de moda low cost para mujer
  #5 (permalink)  
Antiguo 31/01/2013, 03:39
Avatar de Cylon  
Fecha de Ingreso: febrero-2012
Mensajes: 44
Antigüedad: 7 años, 6 meses
Puntos: 12
Respuesta: Me recomiendan actualizar prestashop??

Mucha suerte, se por propia experiencia que prestashop puede ser un poco desesperante. Si te surgen problemas concretos no dejes de preguntar.
__________________
Hell-desk.com: mi blog sobre informática y programación.
Desarrollo web y comercio electrónico.
  #6 (permalink)  
Antiguo 31/01/2013, 04:33
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Muchas gracias!! la necesitaré jejeje. Si, seguro que pronto estaré por aquí con dudas y dando el follón. Saludos!!!
__________________
Tienda online de moda low cost para mujer
  #7 (permalink)  
Antiguo 01/02/2013, 03:40
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Pues lo dicho, ya estoy con mi primer atranque y acabo de empezar...Sigo todos los pasos que hace javier valero en el video turorial:

1º - copio en easyphp la ultima version de prestashop 1.5.3 y sustituyo las carpetas "img, mails, download, upload" por las de mi prestashop actual 1.3.6.

2º - Creo una base de datos en servidor local, la llamo igual que la que tengo en prestashop 1.3.6 e importo dicha base de datos.

3º - Comienzo la instalación de la 1.5.3 y en el paso de verificar la base de datos me da error (At least one table with same prefix was already found, please change your prefix or drop your database) en el video tutorial también aparece este error pero lo soluciona dejando en blanco el campo "prefijo de las tablas" ...pues bien, esto a mi no me funciona, me sigue dando el mismo error.

Es posible q la tabla de datos de la 1.3.6 no sea compatible con la 1.5.3??? he probado varias soluciones que he encontrado por internet pero nada, no me funciona.

Alguien sabe la solucion?? yo sigo buscando
__________________
Tienda online de moda low cost para mujer
  #8 (permalink)  
Antiguo 01/02/2013, 04:47
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Decir que en ningún momento en el proceso de instalación me da la opción de "instalar una nueva tienda" ó "actualiar mi actual prestashop". (he visto casos por foros que sí les aparece al opcion de "actualizar"....a mi no.
__________________
Tienda online de moda low cost para mujer
  #9 (permalink)  
Antiguo 01/02/2013, 05:28
Avatar de Cylon  
Fecha de Ingreso: febrero-2012
Mensajes: 44
Antigüedad: 7 años, 6 meses
Puntos: 12
Respuesta: Me recomiendan actualizar prestashop??

Hola, yo te cuento como lo hago yo.

Si te soy honesto, no he visto los videos, ya que tengo mi propio sistema, que me funciona, y por lo que cuentas no es igual que lo que hago yo.

Yo utilizo una instalacion local de wamp, que te monta una instalacion de apache, php y mysql en un periquete. Lo que hago a continuacion es que me bajo la tienda, los archivos y la bd a mi ordenador local, y la pongo en mi servidor wamp, haciendo los cambios pertinentes para que la web funcione en local.

Una vez que funcione en local, pues nada, a seguir los procesos de acctualizacion. Desde tu version antigua, no se si existe una actualizacion automatica, desde las ultimas versiones de prestashop si que existe actualizacion automatica.

Por supuesto que la bd de la version 1.3.6 es muy diferente a la 1.5.3, ya que seguro que hay montones de cambios, campos añadidos, otros eliminados...

Lo que te ocurre es que estas intentando instalar la bd de 1.5.3 sobre la misma bd de 1.3.6, y obviamente, ahi ya tienes tablas de la version vieja. Crea una bd nueva para la version 1.5.3, e instala ahi la nueva version.

De todas formas, creo que te estas liando. No tendrias que instalar la version 1.5.3, sino ir subiendo versiones de la instalacion antigua. Perdona que mi mensaje tampoco te esta ayudando mucho, pero es que lo he escrito por trozos y aprisa, que me tengo que ir ;)
__________________
Hell-desk.com: mi blog sobre informática y programación.
Desarrollo web y comercio electrónico.
  #10 (permalink)  
Antiguo 01/02/2013, 10:09
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Creo que voy a intentarlo a tu manera porque de esta forma no lo consigo. Por lo que me ha parecido entender, buscando por internet, debo actualizar a la 1.4.9 y después a la 1.5.3....weno gracias por tu ayuda...voy a ver si consigo hacer funcionar en local la 1.3.6 para despues actualizarla a la 1.4.9.

Saludos!!
__________________
Tienda online de moda low cost para mujer
  #11 (permalink)  
Antiguo 01/02/2013, 11:10
Avatar de Cylon  
Fecha de Ingreso: febrero-2012
Mensajes: 44
Antigüedad: 7 años, 6 meses
Puntos: 12
Respuesta: Me recomiendan actualizar prestashop??

Hola,

googleando un poco, llegas al documento oficial: http://doc.prestashop.com/display/PS...ing+PrestaShop

Ahi te cuenta que por debajo de la version 1.4.4 no hay autoupdate. Osea que de la 1.3.6 a la 1.4.4 te toca actualizar a mano.

Por si no lo tienes, aqui te va el enlace de la v1.4.9. No he sido capaz de encontrar de la v 1.4.4
http://www.prestashop.com/download/o...op_1.4.9.0.zip
__________________
Hell-desk.com: mi blog sobre informática y programación.
Desarrollo web y comercio electrónico.
  #12 (permalink)  
Antiguo 02/02/2013, 02:31
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

He intentado hacerlo a tu manera, es decir, he intentado bajarme mi tienda actual (1.3.6) a local y hacerla correr pero no lo consigo, toda la información que he encontrado para hacer esto lo hacen instalando desde cero prestashop y claro a ver de donde saco yo ahora para instalar el prestashop 1.3.6...

Otra cosa que he intentado ha sido instalar desde cero y en local la versión 1.4.9, luego he comparado ambas bases de datos (la de 1.3.6 y la de 1.4.9) y he importado SÓLO las tablas que tienen en común ambas bases de datos...De este modo he conseguido importar clientes, pedidos y alguna cosa mas...pero no se ha importado el catálogo, ni productos, ni categorías....ufff no se que hacer ya...

Me conformo solo con poder importar el catálogo de productos con sus categorías, clientes y pedidos...pero no se si esto va a poder ser, ya que como he dicho antes, he comparado las bases de datos de ambas versiones y no contienen las mimas tablas...en fin...sigo buscando una solución
__________________
Tienda online de moda low cost para mujer
  #13 (permalink)  
Antiguo 02/02/2013, 14:23
Avatar de Cylon  
Fecha de Ingreso: febrero-2012
Mensajes: 44
Antigüedad: 7 años, 6 meses
Puntos: 12
Respuesta: Me recomiendan actualizar prestashop??

Hola,

a ver, centrémonos. Como no te va a funcionar en local una instalacion de prestashop. Es como cambiarla de servidor, tendrás que hacer ajustes, borrar caches, modificar datos en las tablas, etc, pero funcionar tiene que funcionar. Centrate en esto, traer tu tienda a tu pc de pruebas, e instalarla en local. Hay documentacion a toneladas en internet de como cambiar prstashop de un dominio a otro, y esto es lo mismo.

Por ejemplo, https://support.terranetwork.net/web...p-install.html

Despues cuando hayas conseguido que funcione en local, pasa a la fase 2 que es la de subirla de version.

El tema de comparar las tablas y de copiar los datos a piñon, en serio no emplees tiempo en esto, que lo otro se puede hacer seguro.
__________________
Hell-desk.com: mi blog sobre informática y programación.
Desarrollo web y comercio electrónico.
  #14 (permalink)  
Antiguo 04/02/2013, 03:15
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Ok Cylon, ya lo he conseguido, estoy en la 1.4.9, esta tarde sigo hasta la 1.5.3

Muchas gracias, me has ayudado mucho. Un saludo
__________________
Tienda online de moda low cost para mujer
  #15 (permalink)  
Antiguo 05/02/2013, 15:50
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Ya tengo la tienda prestashop actualizada a la versión 1.5.3.1 en local. También he montado otra tienda con 1.5.3.1 desde cero para compararlas y ver si hay errores y cosas incompletas.

Pues bien, no he tenido mucho tiempo para trastear al tienda, pero ya he visto varias cosas que no funcionan bien o que no se hacerlas funcionar bien:

- No puedo entrar con una cuenta de cliente que tenia creada para hacer pruebas, imagino que pasara con todos los clientes.

- Configuro el módulo "Bloque de categorías" para que me muestre las subcategorías desplegadas y no lo hace.

- En el menú "Parámentros avanzados" --> "información" me da error y no puedo entrar.
Error: Error del servidor
El sitio web ha detectado un error al recuperar la http://localhost/tienda/admin554/ind...23fb1c75bebb25 http://localhost/tienda/admin554/ind...23fb1c75bebb25. Es posible que esta esté inactiva debido a tareas de mantenimiento o que se haya configurado de forma incorrecta.
A continuación se detallan algunas sugerencias:
Vuelve a cargar esta página más tarde.
Error de HTTP 500 (Internal Server Error): Se ha detectado una condición inesperada cuando el servidor intentaba atender la solicitud.


Decir que aun no he entrado a todos los menús y submenús, así que no se si fallará alguno más.

Supongo que serán incompatibilidades al actualizar de una versión tan antigua, alguien sabe como podría solucionar estos problemas que me están surgiendo??? gracias desde ya
__________________
Tienda online de moda low cost para mujer

Última edición por ljk; 05/02/2013 a las 16:25
  #16 (permalink)  
Antiguo 05/02/2013, 23:15
Avatar de Cylon  
Fecha de Ingreso: febrero-2012
Mensajes: 44
Antigüedad: 7 años, 6 meses
Puntos: 12
Respuesta: Me recomiendan actualizar prestashop??

Cita:
Iniciado por ljk Ver Mensaje
Ya tengo la tienda prestashop actualizada a la versión 1.5.3.1 en local. También he montado otra tienda con 1.5.3.1 desde cero para compararlas y ver si hay errores y cosas incompletas.

Pues bien, no he tenido mucho tiempo para trastear al tienda, pero ya he visto varias cosas que no funcionan bien o que no se hacerlas funcionar bien:

- No puedo entrar con una cuenta de cliente que tenia creada para hacer pruebas, imagino que pasara con todos los clientes.
Desconozco si entre versiones cambia el modo de encriptado de la contraseña, es posible que si. Prueba a restaurar la contraseña con la herramienta de recuperacion (vamos, que te envie un correo con la nueva contraseña).

Cita:
- Configuro el módulo "Bloque de categorías" para que me muestre las subcategorías desplegadas y no lo hace.

- En el menú "Parámentros avanzados" --> "información" me da error y no puedo entrar.
Error: Error del servidor
El sitio web ha detectado un error al recuperar la http://localhost/tienda/admin554/ind...23fb1c75bebb25 http://localhost/tienda/admin554/ind...23fb1c75bebb25. Es posible que esta esté inactiva debido a tareas de mantenimiento o que se haya configurado de forma incorrecta.
A continuación se detallan algunas sugerencias:
Vuelve a cargar esta página más tarde.
Error de HTTP 500 (Internal Server Error): Se ha detectado una condición inesperada cuando el servidor intentaba atender la solicitud.

Yo renombraria el .htaccess, borraria la cache, y en general, habria desactivado las urls amigables y la cache antes de la actualizacion. Te funcionará todo mas lento, pero te evitarás problemas. Ya tendrás tiempo de volver a activarlo todo cuando hayas terminado con la migracion.

Me sorprende que no hayas tenido problemas con la plantilla y la posición de los módulos.

Saludos
__________________
Hell-desk.com: mi blog sobre informática y programación.
Desarrollo web y comercio electrónico.
  #17 (permalink)  
Antiguo 06/02/2013, 02:08
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Ok, luego intento restaurar la contraseña como dices.

Cita:
Iniciado por Cylon Ver Mensaje
Yo renombraria el .htaccess, borraria la cache, y en general, habria desactivado las urls amigables y la cache antes de la actualizacion. Te funcionará todo mas lento, pero te evitarás problemas. Ya tendrás tiempo de volver a activarlo todo cuando hayas terminado con la migracion.

Me sorprende que no hayas tenido problemas con la plantilla y la posición de los módulos.

Saludos
No se si entiendo bien lo que me dices aquí...Te refieres a que antes de actualizar nada, es decir, desde la 1.3.6, haga lo siguiente??:

1- vacíe el .htacces (dejo el archivo pero sin ningún contenido)

2- borre la cache (Te refieres a borrar los datos de navegación y archivos temporales del buscador?)

3- desactive las urls amigables y cache (en la version 1.3.6 en el menú "preferencias" está la opción de desactivar las urls amigables pero no veo nada de desactivar la cache)

No he tenido problemas con la plantilla porque estoy usando la que viene por defecto y en cuanto a los módulos he borrado todos los que instalé anteriormente.

De nuevo muchas gracias por todo, eres un maquina!! Saludos
__________________
Tienda online de moda low cost para mujer
  #18 (permalink)  
Antiguo 06/02/2013, 03:34
Avatar de Cylon  
Fecha de Ingreso: febrero-2012
Mensajes: 44
Antigüedad: 7 años, 6 meses
Puntos: 12
Respuesta: Me recomiendan actualizar prestashop??

Hola,
a lo que me refiero es a que yo simplificaria todo lo posible la instalacion de prestashop. Para ello desactivaria las urls amigables, la cache de archivos, forzaría la compilacion de las plantillas siempre, etc.

Realmente no recuerdo en donde estan estas opciones en la version 1.3.6, me pilla un poco lejos. EN la 1.4.9 lo tienes en el menu de rendimiento, y seo.

CUando digo borrar la cache, me refiero a borrar loa archivos de cache de prestashop, no a la cache de tu navegador.

El htaccess, no lo vacies, renombrarlo, para que no se use.

Saludos
__________________
Hell-desk.com: mi blog sobre informática y programación.
Desarrollo web y comercio electrónico.
  #19 (permalink)  
Antiguo 06/02/2013, 05:09
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Ok, esta tarde volveré a hacer la actualización siguiendo los consejos que me das, aunque algunos de ellos no tengo ni idea de como "cogerlos" (desactivar la cache de archivos, forzar la compilacion de las plantillas)...investigaré a ver si doy con ellos...ya te contaré como me ha ido.

Gracias y saludos!!!
__________________
Tienda online de moda low cost para mujer
  #20 (permalink)  
Antiguo 06/02/2013, 16:07
ljk
 
Fecha de Ingreso: marzo-2011
Mensajes: 36
Antigüedad: 8 años, 5 meses
Puntos: 1
Respuesta: Me recomiendan actualizar prestashop??

Ya lo he hecho como dices y si, parece que va mejor, ya no me da error ningun menu desplegable del back office.

Algunos modulos me seguian dando error (el de categorias por ejemplo) pero he comprobado que desinstalandolo e instalandolo de nuevo ya funciona bien.

Weno, continúo en mi afán de hacerme con el control de prestashop 1.5, poco a poco parece que lo voy consiguiendo...Saludos y buenas noches!!
__________________
Tienda online de moda low cost para mujer
  #21 (permalink)  
Antiguo 13/08/2015, 05:54
 
Fecha de Ingreso: julio-2015
Mensajes: 3
Antigüedad: 4 años
Puntos: 0
Respuesta: Me recomiendan actualizar prestashop??

Hola
me encontre este tema de foro y veo que esta un poco desactualizado por que hablan hasta de actualización de version 1.5 de prestashop, bueno yo les dejo una ayuda que me funciono con estas personas en la [URL="http://soportefluido.es/home/8-actualizacion-de-joomla-o-prestashop.html"]actualización de prestashop 1.4 a 1.6[/URL]
que solo necesitaba en principio cargar usuarios, ordenes, categorias y productos, por que el diseño de plantilla para la 1.6 ya lo tenia listo.

Etiquetas: aplicaciones-prefabricadas, prestashop
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 05:01.